UNIT mTBallbewegung;

interface

uses 
  Classes, mTBall,winprocs;
// Uses-Klausel ggf. anpassen

type
   TBallbewegung = CLASS(TThread)

     // weitere Attribute
     private
        kenntBall : TBall;

     // weitere Methoden
     protected
        procedure Execute; override;
     public
        procedure lerneKennen(pBall : TBall);

   end;

implementation

//+---------------------------------------------------------------------
//|         TBallbewegung: Methodendefinition 
//+---------------------------------------------------------------------

//-------- Execute (protected) -----------------------------------------
procedure TBallbewegung.Execute;
begin
   repeat
      synchronize(kenntBall.Bewege);
      sleep(1)
   until terminated
end;

//-------- lerneKennen (public) ----------------------------------------
procedure TBallbewegung.lerneKennen(pBall : TBall);
begin
   kenntBall := pBall
end;

end.
