UNIT mTSuMBall;

interface

uses        mSuM,winprocs,math,classes,Graphics,forms,dialogs;
// Uses-Klausel ggf. anpassen

type
   TBall = CLASS

     // Attribute
     private
        hatStift : BuntStift;
        zx : Real;
        zy : Real;

     // Methoden
     private
        procedure loesche;
     public
        constructor init(px,py:Real);
        procedure bewege;
        procedure zeichne;
        function links : Integer;
        function rechts : integer;
        destructor gibFrei;

   end;

implementation

//+---------------------------------------------------------------------
//|         TBall: Methodendefinition 
//+---------------------------------------------------------------------

//-------- loesche (private) -------------------------------------------
procedure TBall.loesche;
begin
   hatStift.setzeFarbe(screen.activeform.color);
   hatStift.setzeFuellMuster(gefuellt);
   hatStift.hoch;
   hatStift.bewegeBis(zx,zy);
   hatStift.zeichneKreis(20);
end;

//-------- init (public) -----------------------------------------------
constructor TBall.init(px,py:Real);
begin
  hatStift := BuntStift.init;
  zx:=px;
  zy:=py;
 self.zeichne
end;

//-------- bewege (public) ---------------------------------------------
procedure TBall.bewege;
begin
  loesche;
  zx := zx +0.01;
  zeichne;
end;

//-------- zeichne (public) --------------------------------------------
procedure TBall.zeichne;
begin
   hatStift.setzeFarbe(gruen);
   hatStift.setzeFuellMuster(gefuellt);
   hatStift.hoch;
   hatStift.bewegeBis(zx,zy);
   hatStift.zeichneKreis(20);
end;

//-------- links (public) ----------------------------------------------
function TBall.links : Integer;
begin
   result := round(zx)-20
end;

//-------- rechts (public) ---------------------------------------------
function TBall.rechts : integer;
begin
   result := round(zx)+20
end;

//-------- gibFrei (public) --------------------------------------------
destructor TBall.gibFrei;
begin
  loesche;
  inherited destroy
end;

end.
