UNIT mTBallBewegung;

interface

uses  
  Classes, Forms, mTBall, winprocs;
// Uses-Klausel ggf. anpassen

type
   TBallBewegung = CLASS(TThread)

     // Attribute
     private
        kenntBall : TBall;

     // Methoden
     protected
        procedure Execute; override;
     public
        constructor create(pBall:TBall);

   end;

implementation

//+---------------------------------------------------------------------
//|         TBallBewegung: Methodendefinition 
//+---------------------------------------------------------------------

//-------- Execute (protected) -----------------------------------------
procedure TBallBewegung.Execute;
begin
   Repeat
//       kenntBall.Bewege; // zum Ausprobieren ohne synchronize
       synchronize(kenntBall.bewege);
   until (kenntBall.rechts > screen.activeForm.width)
          or terminated
end;

//-------- create (public) ---------------------------------------------
constructor TBallBewegung.create(pBall:TBall);
var ausgesetzt:Boolean;
begin
   ausgesetzt := true;
   inherited create(ausgesetzt);
   kenntBall := pBall;
end;

end.
